
Name:		shimmer-themes
Version:	1.6.2
Release:	%mkrel 1
URL:		http://shimmerproject.org/
Summary:	Gtk+ themes from Shimmer Project
License:	GPLv2
Group:		Graphical desktop/Other
Source1:	%{name}_%{version}.orig-albatross.tar.gz
Source2:	%{name}_%{version}.orig-bluebird.tar.gz
Source3:	%{name}_%{version}.orig-greybird.tar.gz
Source4:	%{name}_%{version}.orig-numix.tar.gz
Source5:	%{name}_%{version}.orig-orion.tar.gz

BuildRequires:	fdupes
Requires:	gtk-murrine-engine
BuildArch:	noarch


%description
This package contains all the desktop suites by Shimmer Project.
 
 * Albatross, a dark and light theme that was originally designed
   for Xubuntu 9.10; Albatross is designed to be smooth: no rough
   borders, no contrasted edges, no violent contrasts, a soft
   blue colour;
 * Bluebird is the colorful successor to Albatross originally
   designed for Xubuntu 10.10; Bluebird is the only way to go if
   you love blue;
 * Greybird is the more conservative but at the same time modern
   variant of Bluebird; Greybird contains a lot of improvements
   over Bluebird; amongst other things, full Gtk3 support;
 * Numix is a modern flat theme with a combination of light and
   dark elements;
 * Orion is a modern light theme for Gtk.


%prep
%setup -q -T -c -a 1 -a 2 -a 3 -a 4 -a 5
# Remove ".gitignore" files
find . -name .gitignore -type f -exec rm -f '{}' \;

%build


%install
themesPath="%{buildroot}/%{_datadir}/themes/"
mkdir -p "$themesPath"
for theme in "Albatross" "Bluebird" "Greybird" "Numix" "Orion"; do
    cp -a "$theme"* "$themesPath/$theme"
    pushd "$themesPath/$theme/metacity-1/"
    cp -f "./metacity-theme-2.xml" "./metacity-theme-1.xml"
    popd
done
%fdupes -s "$themesPath"


%files
%defattr(-, root, root, 755)
%{_datadir}/themes/*/


%changelog
* Sat Feb 08 2014 Adrien.D (MLO Team) <adrien.d> - 1.6.2-1.mga4
- New RPM Package
